[CentOS-devel] yum-3.2.8 for Centos 4 backport, part II.

David Hrbáč hrbac.conf at seznam.cz
Wed Jan 27 08:00:43 UTC 2010


Dne 27.1.2010 0:50, William L. Maltby napsal(a):
> David,
> 
> I got pretty far along, with a little manual removal of the stock stuff,
> but I think I've missed something. Here's my current status from an rpm
> -qa yum\*
> 
> yum-kmod-1.1.16-13.el4.hrb.1
> yum-list-data-1.1.16-13.el4.hrb.1
> yum-fastestmirror-1.1.16-13.el4.hrb.1
> yum-changelog-1.1.16-13.el4.hrb.1
> yum-arch-2.2.2-1.el4.rf
> yum-downloadonly-1.1.16-13.el4.hrb.1
> yum-versionlock-1.1.16-13.el4.hrb.1
> yum-protectbase-1.1.16-13.el4.hrb.1
> yum-kernel-module-1.1.16-13.el4.hrb.1
> yum-metadata-parser-1.1.2-12.el4.hrb.1
> yum-keys-1.1.16-13.el4.hrb.1
> yum-allowdowngrade-1.1.16-13.el4.hrb.1
> yum-priorities-1.1.16-13.el4.hrb.1
> yum-tsflags-1.1.16-13.el4.hrb.1
> yum-merge-conf-1.1.16-13.el4.hrb.1
> yum-aliases-1.1.16-13.el4.hrb.1
> yumex-1.0.2-1.0.c4
> yum-utils-1.1.16-13.el4.hrb.1
> yum-protect-packages-1.1.16-13.el4.hrb.1
> yum-NetworkManager-dispatcher-1.1.16-13.el4.hrb.1
> yum-3.2.19-18.el4.hrb.5
> yum-verify-1.1.16-13.el4.hrb.1
> yum-plugin-fastestmirror-0.2.4-3.c4
> yum-updateonboot-1.1.16-13.el4.hrb.1
> yum-tmprepo-1.1.16-13.el4.hrb.1
> yum-filter-data-1.1.16-13.el4.hrb.1
> yum-upgrade-helper-1.1.16-13.el4.hrb.1
> yum-security-1.1.16-13.el4.hrb.1
> 
> The yum-refresh-updatesd has not made it in yet. It had a dependancy
> failure prior to getting all the above installed, so I excluded it and
> continued on.
> 
> Anyway, after getting to the above status, I did a yum update and got
> the following
> 
> Traceback (most recent call last):
>   File "/usr/bin/yum", line 29, in ?
>     yummain.user_main(sys.argv[1:], exit_code=True)
>   File "/usr/share/yum-cli/yummain.py", line 229, in user_main
>     errcode = main(args)
>   File "/usr/share/yum-cli/yummain.py", line 84, in main
>     base.getOptionsConfig(args)
>   File "/usr/share/yum-cli/cli.py", line 189, in getOptionsConfig
>     enabled_plugins=self.optparser._splitArg(opts.enableplugins))
>   File "/usr/lib/python2.3/site-packages/yum/__init__.py", line 195, in
> _getConfig
>     startupconf.pluginconfpath,disabled_plugins,enabled_plugins)
>   File "/usr/lib/python2.3/site-packages/yum/__init__.py", line 361, in
> doPluginSetup
>     plugin_types, confpath, disabled_plugins, enabled_plugins)
>   File "/usr/lib/python2.3/site-packages/yum/plugins.py", line 159, in
> __init__
>     self._importplugins(types)
>   File "/usr/lib/python2.3/site-packages/yum/plugins.py", line 202, in
> _importplugins
>     self._loadplugin(modulefile, types)
>   File "/usr/lib/python2.3/site-packages/yum/plugins.py", line 262, in
> _loadplugin
>     module = imp.load_module(modname, fp, pathname, description)
>   File "/usr/lib/yum-plugins/verify.py", line 167
>     @staticmethod
>     ^
> SyntaxError: invalid syntax
> 
> If you see any error in where I'm at, or need more information, just let
> me know.
> 

William,
not all plugins are production ready. We run within our production
fastestmirror, changelog. For change log you need
python-dateutil.noarch. You have installed all plugins, but what plugins
are you really using? Just want to know. BTW thanks for reporting the error.
Thanks,
David


More information about the CentOS-devel mailing list